<?php 
#-----------------------------------------------------# 
#          ********* WAP-MOTORS *********             # 
#             Made by   :  VANTUZ                     # 
#               E-mail  :  vsem@pizdec.ru             # 
#                 Site  :  http://pizdec.ru           # 
#             WAP-Site  :  http://visavi.net          # 
#                  ICQ  :  36-44-66                   # 
#  Вы не имеете право вносить изменения в код скрипта # 
#-----------------------------------------------------# 
require_once"../template/start.php"; 
require_once"../template/regglobals.php"; 
require_once"../template/config.php"; 
require_once"../template/functions.php"; 
require_once"../template/maincore.php"; 
require_once"../template/antidos.php"; 
require_once"../template/cookies.php"; 
require_once"../template/gzip.php"; 
require_once"../template/header.php"; 
require_once"../template/referer.php"; 
include_once"../themes/$config_themes/index.php"; 

require_once"../template/isset.php"; 

$text = file("../local/profil/$log.prof"); 

if ($text!=""){ 
$udata = explode(":||:",$text[0]); 
$provlog=trim($udata[0]); 
$provpar=trim($udata[1]); 
$dostup=trim($udata[7]); 
$privat=trim($udata[10]);} 

$locked=check($_POST['locked']); 

if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) { 
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){ 
$date=date("d.m"); 
$time=date("H:i"); 
echo'<img src="../images/img/menu.gif" alt=""> <b>Управление форумом</b> 
'; 

if(!isset($_GET['r'])) { 
if(isset($addpod)){ 
$podf=$_POST['podf']; 
$fff=file("../local/forum.dat"); 
$ii=count($fff); 
$df=explode("|", $fff[$ii]); 

if (!is_file("../local/forum.dat")) {$iu="1";}else{$iu=$ii+1;} 
$txtdat="$iu|$podf||"; 

$fp=fopen("../local/forum.dat","a+"); 
flock ($fp,LOCK_EX); 


fputs($fp,"$txtdat\r\n"); 
fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
@chmod("$fp", 0777); 
@chmod("../local/forum.dat", 0777); 

$text= ""; 
$fp=fopen("../local/dataforum/mainforum$iu.dat","w"); 
flock($fp,LOCK_EX); 
ftruncate ($fp,0); 
fputs($fp); 
fflush($fp); 
flock($fp,LOCK_UN); 
fclose($fp); 
chmod ("../local/dataforum/mainforum$iu.dat", 0666); 
header ("Location: forum.php?".SID); 
}} 


if (isset($idd)) { 
if ($idd!="go") 
{header ("Location: forum.php?event=topic&r=$r&fid=$fid&id=$id&page=$page&".SID); 
} 
else {if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){ 
$file=file("../local/dataforum/$id.dat"); 
if (count($file)==1) { 
echo ' В ТЕМЕ должно остаться хотя бы одно сообщение!  
'; 
echo '<a href="forum.php?event=topic&r='.$r.'&fid='.$fid.'&id='.$id.'&page='.$page.'&'.SID.'">Продолжить</a> 
';  include_once"../themes/$config_themes/foot.php"; 
exit;} 
$jj=0; 
for($j=0; $j<count($file); $j++) 
{ 
if (isset($_POST["check$j"])) $jj++; 
} 

if(count($file) == $jj){ 
echo ' Вы выбрали на удаление все сообщения темы. Внимание!!! В ТЕМЕ должно остаться хотя бы одно сообщение!  
'; 
echo '<a href="forum.php?event=topic&r='.$r.'&fid='.$fid.'&id='.$id.'&page='.$page.'&'.SID.'">Продолжить</a> 
';  include_once"../themes/$config_themes/foot.php"; 
exit;} 


$fp=fopen("../local/dataforum/$id.dat","w"); 
flock ($fp,LOCK_EX); 
$i=0; 
while ( isset($file[$i])) 
{if (isset($_POST["check$i"])) 
{unset($file[$i]);} 
$i++; 
} 
fputs($fp, implode("",$file)); 
flock ($fp,LOCK_UN); 
fclose($fp); 
}}header ("Location: forum.php?event=topic&r=$r&fid=$fid&id=$id&page=$page&".SID); 

} 

//----------------------------- Пересчет статистики ------------------------// 
if(isset($event)) { 

if ($event =="revolushion") 
{ 
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105) 
{ 

if(isset($_GET['r'])) {$r=$_GET['r']; 

$lines = file("../local/dataforum/mainforum$r.dat"); 
$countmf=count($lines)-1; 
$i="-1";$u=$countmf-1;$k="0"; 

do {$i++; $dt=explode("|", $lines[$i]); 
if ($dt[1]!="razdel") { 
$fid=$dt[0]; 
if ((is_file("../local/dataforum/topic$fid-$r.dat")) && (sizeof("../local/dataforum/topic$fid-$r.dat")>0)) 
{ 
$fl=file("../local/dataforum/topic$fid-$r.dat"); 
$kolvotem=count($fl); 
$kolvomsg="0"; 
for ($itf=0; $itf<$kolvotem; $itf++) 
{$forumdt = explode("|", $fl[$itf]); 

$cd=$forumdt[7]; 
$msgfile=file("../local/dataforum/$cd.dat"); 
$countmsg=count($msgfile); $kolvomsg=$kolvomsg+$countmsg;} 
if ($kolvotem=="0") {$dt[8]="";} 
$lines[$i]=$dt[0].'|'.$dt[1].'|'.$dt[2].'|'.$dt[3].'|'.$kolvotem.'|'.$kolvomsg.'|'.$dt[6].'|'.$dt[7].'|'.$dt[8].'|'.$dt[9].'|'.$dt[10].'|'; 
}else{ 
$kolvotem="0"; 
$kolvomsg="0"; 
$lines[$i]=$dt[0].'|'.$dt[1].'|'.$dt[2].'|'.$dt[3].'|'.$kolvotem.'|'.$kolvomsg.'|'.$dt[6].'|'.$dt[7].'|'.$dt[8].'||'.$dt[10].'|'; 
} 
} 
else {$lines[$i]=$dt[0].'|'.$dt[1].'|'.$dt[2].'|';} 
} while($i < $countmf); 

$file=file("../local/dataforum/mainforum$r.dat"); 
$fp=fopen("../local/dataforum/mainforum$r.dat","w"); 
flock ($fp,LOCK_EX); 
for ($i=0;$i< sizeof($file);$i++) {fputs($fp,"$lines[$i]\r\n");} 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 

echo 'Всё успешно пересчитано 
'; 
echo '<a href="forum.php?'.SID.'">Продолжить</a> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit; }}}} 
//------------------------ Cдвиг подфорумов -------------------------------// 
if(isset($movefor)) { if ($movefor!="") { 
$move1=$movefor; 
if ($where=="0") {$where="-1";} 
$move2=$move1-$where; 
$file=file("../local/forum.dat"); $imax=sizeof($file); 
if (($move2>=$imax) or ($move2<"0")) { 
echo 'Нельзя туда двигать! 
'; 
echo '<a href="forum.php?'.SID.'">Продолжить</a> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 
$data1=$file[$move1]; $data2=$file[$move2]; 

$fp=fopen("../local/forum.dat","a+"); 
flock ($fp,LOCK_EX); 
ftruncate ($fp,0); 
for ($i=0; $i<$imax; $i++) {if ($move1==$i) {fputs($fp,$data2);} else  {if ($move2==$i) {fputs($fp,$data1);} else {fputs($fp,$file[$i]);}}} 
fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 
header ("Location: forum.php?".SID); 
//Раздел успешно сдвинут! 
exit;}} 

//------------------------ Подтверждение удаления подфорумов -------------------------------// 
if(isset($provfor)) { 
echo 'Вы действительно хотите удалить подфорум? 
'; 
echo 'Прежде чем удалить его необходимо удалить все темы и разделы внутри вручную 
'; 
echo '<a href="forum.php?pfxd='.$provfor.'&'.SID.'">Удалить</a> 
'; 
echo '<a href="forum.php?'.SID.'">Вернуться назад</a> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit; 
} 
//------------------------ Удаление подфорумов -------------------------------// 
if(isset($pfxd)) { if ($pfxd!="") { 
$file=file("../local/forum.dat"); 
for ($i=0;$i< sizeof($file);$i++) { if ($i==$pfxd) {$mf=explode('|',$file[$i]); $dfor=$mf[0]; unset($file[$i]);} } 
unlink("../local/dataforum/mainforum$dfor.dat"); 
header ("Location: forum.php?".SID); 
//Раздел успешно удален! 
exit; }} 


//------------------------ Cдвиг топиков -------------------------------// 
if(isset($movetopic)) { if ($movetopic!="") { 
$move1=$movetopic; 
if ($where=="0") {$where="-1";} 
$move2=$move1-$where; 
$file=file("../local/dataforum/mainforum$r.dat"); $imax=sizeof($file); 
if (($move2>=$imax) or ($move2<"0")) { 
echo 'Нельзя туда двигать! 
'; 
echo '<a href="forum.php?r='.$r.'&'.SID.'">Продолжить</a> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 
$data1=$file[$move1]; $data2=$file[$move2]; 

$fp=fopen("../local/dataforum/mainforum$r.dat","a+"); 
flock ($fp,LOCK_EX); 
ftruncate ($fp,0); 
for ($i=0; $i<$imax; $i++) {if ($move1==$i) {fputs($fp,$data2);} else  {if ($move2==$i) {fputs($fp,$data1);} else {fputs($fp,$file[$i]);}}} 
fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 
header ("Location: forum.php?r=$r&".SID); 
//Раздел успешно сдвинут! 
exit;}} 


//------------------------ Подтверждение удаления топиков -------------------------------// 
if(isset($provtop)) { 
echo 'Вы действительно хотите удалить топик? 
'; 
echo 'Прежде чем удалить его необходимо удалить все темы внутри вручную 
'; 
echo '<a href="forum.php?r='.$r.'&fxd='.$provtop.'&'.SID.'">Удалить</a> 
'; 
echo '<a href="forum.php?r='.$r.'&'.SID.'">Вернуться назад</a> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit; 
} 
//------------------------ Удаление топиков -------------------------------// 
if(isset($fxd)) { if ($fxd!="") { 
$file=file("../local/dataforum/mainforum$r.dat"); 
$fp=fopen("../local/dataforum/mainforum$r.dat","w"); 
flock ($fp,LOCK_EX); 
for ($i=0;$i< sizeof($file);$i++) { if ($i==$fxd) {unset($file[$i]);} } 
fputs($fp, implode("",$file)); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 
header ("Location: forum.php?r=$r&".SID); 
//Раздел успешно удален! 
exit; }} 


//----------------------- Удаление тем --------------------------------// 
if (isset($xd)) { if ($xd!="") { 
if(isset($provtem)) { 
if($provtem!=="yes"){ 
echo 'Вы действительно хотите удалить тему? 
'; 
echo '<a href="forum.php?$r='.$r.'&fid='.$fid.'&xd='.$xd.'&provtem=yes&'.SID.'">Удалить</a> 
'; 
echo '<a href="forum.php?$r='.$r.'&fid='.$fid.'&"'.SID.'">Вернуться назад</a> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit; 
}} 



$file=file("../local/dataforum/topic$fid-$r.dat"); 
$i=0; 
while (isset($file[$i])) 
{ $dt = explode("|", $file[$i]); 
if ($dt[7]==$xd) 
{unset($file[$i]);} 
$i++; 
unset($dt); 
} 

unlink ("../local/dataforum/$xd.dat"); 
$fp=fopen("../local/dataforum/topic$fid-$r.dat","w"); 
flock ($fp,LOCK_EX); 
fputs($fp, implode("",$file)); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 
header ("Location: forum.php?r=$r&fid=$fid&".SID); 
//Тема успешно удалена! 
exit; }} 


//----------------------- Удаление сообщений --------------------------------// 
if (isset($topicxd)) { if ($topicxd!="") { 
if($provpost!=="yes"){ 
if (ereg("$config_mpanel/forum.php",$_SERVER['HTTP_REFERER'])){$goto="forum";} else {$goto="index";} 
echo 'Вы действительно хотите удалить пост? 
'; 
echo '<a href="forum.php?event=topic&r='.$r.'&fid='.$fid.'&id='.$id.'&topicxd='.$topicxd.'&page='.$page.'&provpost=yes&goto='.$goto.'&'.SID.'">Удалить</a> 
'; 
echo '<a href="forum.php?event=topic&r='.$r.'&fid='.$fid.'&id='.$id.'&page='.$page.'&"'.SID.'">Вернуться назад</a> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit; 
} 

$topicxd=$topicxd-1; 
$file=file("../local/dataforum/$id.dat"); 
$dt = explode("|", $file[$topicxd]); 
$dt[12]=trim($dt[12]); 
$dt[13]=trim($dt[13]); 
unlink("../forum/$dt[13]/$dt[12]"); 
unlink("../forum/$dt[13]/$dt[12].txt"); 
unlink("../forum/$dt[13]/$dt[12].kom"); 
if (count($file)==1) { 
echo ' В ТЕМЕ должно остаться хотябы одно сообщение!  
'; 
echo '<a href="forum.php?event=topic&r='.$r.'.&fid='.$fid.'&id='.$id.'&page='.$page.'&'.SID.'">Продолжить</a> 
';  include_once"../themes/$config_themes/foot.php"; 
exit;} 

$fp=fopen("../local/dataforum/$id.dat","w"); 
flock ($fp,LOCK_EX); 
for ($i=0;$i< sizeof($file);$i++) { if ($i==$topicxd) {unset($file[$i]);} } 
fputs($fp, implode("",$file)); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 

$filo=file("../local/dataforum/$id.dat"); 
$di=count($filo); 
$paga=(round($di/$config_forumpost))*$config_forumpost; 
if ($paga>=$di) $paga=$paga-$config_forumpost; 
if ($page==$paga || $page ==$paga+$config_forumpost) $page=$paga; 
////////////////////// 

$lines=file("../local/dataforum/$id.dat"); 

/////////////////////// 
if ($goto=="forum") 
{header ("Location: forum.php?event=topic&r=$r&fid=$fid&id=$id&page=$page&".SID);} 
else {header ("Location: ../forum/index.php?event=topic&r=$r&fid=$fid&id=$id&page=$page&".SID); } 
//Сообщение успешно удалено! 
exit; }} 


//----------------------- Добавление разделов --------------------------------// 
if(isset($event)) { 
if ($event =="addmainforum") { 
if ($zag == "") { 
echo '<b>Вернитесь назад и введите заголовок!</b> 
'; 
echo '<a href="forum.php?'.SID.'">Продолжить</a> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 

if ($r == "") { 
echo '<b>Вернитесь назад и введите заголовок!</b> 
'; 
echo '<a href="forum.php?'.SID.'">Продолжить</a> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 


$nextnum="1"; 
if (is_file("../local/dataforum/mainforum$r.dat")) { 
$lines=file("../local/dataforum/mainforum$r.dat"); 
$imax = count($lines); $i=0; 
do {$dt = explode("|", $lines[$i]); 
if ($nextnum<$dt[0]) {$nextnum=$dt[0];} $i++; 
} 
while($i < $imax); $nextnum++; } 

$msg=check($msg); 
$zag=check($zag); 
$r=check($r); 

if ($ftype == "") { 
$txtmf=$nextnum.'|'.$zag.'|'.$msg.'||0|0||'.$date.'|'.$time.'|||'; 
} else { 
$txtmf=$nextnum.'|'.$ftype.'|'.$zag.'|'; 
} 
$txtmf=preg_replace ("|[\r\n]+|si","",$txtmf); 

$fp=fopen("../local/dataforum/mainforum$r.dat","a+"); 
flock ($fp,LOCK_EX); 
fputs($fp,"$txtmf\r\n"); 
fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 

header ("Location: forum.php?r=$r&".SID); 
//Раздел успешно добавлен! 
exit; } 

//----------------------- Переименование подфорума --------------------------------// 
if ($event =="pfrdmainforum") { 

if ($pzag == "") { 
echo '<b>Вернитесь назад и введите заголовок!</b> 
'; 
echo '<a href="forum.php?'.SID.'">Продолжить</a> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 

$pzag=check($pzag); 
$pzag=preg_replace ("|[\r\n]+|si","",$pzag); 

$txtpmf=$r.'|'.$pzag.'||'; 

$file=file("../local/forum.dat"); 
$fp=fopen("../local/forum.dat","a+"); 
flock ($fp,LOCK_EX); 
ftruncate ($fp,0); 
for ($i=0;$i< sizeof($file);$i++) {if ($numf!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$txtpmf\r\n");}} 
fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 

header ("Location: forum.php?".SID); 
//Раздел успешно переименован 
exit; } 


//----------------------- Переименование раздела --------------------------------// 
if ($event =="frdmainforum") { 

if ($zag == "") { 
echo '<b>Вернитесь назад и введите заголовок!</b> 
'; 
echo '<a href="forum.php?r=$r&'.SID.'">Продолжить</a> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 

$msg=check($msg); 
$zag=check($zag); 
$zag=preg_replace ("|[\r\n]+|si","",$zag); 
$msg=preg_replace ("|[\r\n]+|si","",$msg); 
if ($ftype == "") 
{ 
$txtmf=$nextnum.'|'.$zag.'|'.$msg.'|'.$idtemka.'|'.$kt.'|'.$km.'|'.$namem.'|'.$datem.'|'.$timem.'|'.$timetk.'|'.$temka.'|';} 
else {$txtmf=$nextnum.'|'.$ftype.'|'.$zag.'|';} 

$file=file("../local/dataforum/mainforum$r.dat"); 
$fp=fopen("../local/dataforum/mainforum$r.dat","a+"); 
flock ($fp,LOCK_EX); 
ftruncate ($fp,0); 
for ($i=0;$i< sizeof($file);$i++) {if ($frd!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$txtmf\r\n");}} 
fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 

header ("Location: forum.php?r=$r&".SID); 
//Раздел успешно переименован 
exit; } 



//----------------------- Закрытие тем --------------------------------// 
if ($event=="zakr")  { 
$file=file("../local/dataforum/$id.dat"); 
$file=array_reverse($file); 
$post=explode('|',$file[0]); 
if (ereg("ON",$post[10])) 
{$locked="ON";} 
else {$locked="OFF"; } 
unset($post); 

unset($file); 

$mio="[$brow, $ip]"; 

$text=$log.'|рус|'.$mio.'|'.$zag.'|Тема закрыта для обсуждения!|'.$date.'|'.$sitetime.'|'.$id.'|'.$fid.'|CLOSED|'.$locked.'|'.$r; 



$text=stripslashes($text); 

$fp=fopen("../local/dataforum/$id.dat","a+"); 

flock ($fp,LOCK_EX); 

fputs($fp,"$text\r\n"); 

fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 

//Тема закрыта для обсуждения! 
if (ereg("$config_mpanel/forum.php",$_SERVER['HTTP_REFERER'])) 
{header ("Location: forum.php?event=topic&r=$r&fid=$fid&id=$id&".SID);} 
else {header ("Location: ../forum/index.php?r=$r&fid=$fid&id=$id&".SID); } 
exit;} 



//-------------------------- Открытие тем ----------------------------// 

if ($event=="otkr")  { 

$file=file("../local/dataforum/$id.dat"); 
$file=array_reverse($file); 
$fp=fopen("../local/dataforum/$id.dat","w"); 
flock ($fp,LOCK_EX); 

unset($file[0]); 
$file=array_reverse($file); 
fputs($fp, implode("",$file)); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 

//Тема снова открыта 
if (ereg("$config_mpanel/forum.php",$_SERVER['HTTP_REFERER'])) 
{header ("Location: forum.php?event=topic&r=$r&fid=$fid&id=$id&".SID);} 
else {header ("Location: ../forum/index.php?r=$r&fid=$fid&id=$id&".SID); } 
exit;} 

//----------------------- Закрепление тем --------------------------------// 
if ($event=="locked")  { 
//------------------------------------- 
$file=file("../local/dataforum/topic$fid-$r.dat"); 
foreach($file as $index => $val) 
{$alldata = explode("|",$file[$index]); 
if($alldata[7]==$id) 
{$file[$index]= $alldata[0] .'|'. $alldata[1] .'|'. $alldata[2] .'|'. $alldata[3] .'|'. $alldata[4] .'|'. $alldata[5] .'|'. $alldata[6] .'|'. $alldata[7] .'|'. $alldata[8] .'|'. $alldata[9] .'|'. "ON" .'|'.$alldata[11].'|'.$alldata[12].'|'.$alldata[13].'|'.$alldata[14]; 

$fp=fopen("../local/dataforum/topic$fid-$r.dat","w"); 

flock ($fp,LOCK_EX); 

fputs($fp, implode("",$file)); 

flock ($fp,LOCK_UN); 

fclose($fp); 

chmod("$fp", 0777); 

} 

} 

//---------------------------------------- 
$file=file("../local/dataforum/$id.dat"); 
$file=array_reverse($file); 

$fp=fopen("../local/dataforum/$id.dat","w"); 

flock ($fp,LOCK_EX); 



$post= explode("|", $file[0]); 

$file[0]= $post[0] .'|'. $post[1] .'|'. $post[2] .'|'. $post[3] .'|'. $post[4] .'|'. $post[5] .'|'. $post[6] .'|'. $post[7] .'|'. $post[8] .'|'. $post[9] .'|'. "ON" .'|'.$post[11].'|'.$post[12].'|'.$post[13].'|'.$post[14]; 

$file=array_reverse($file); 

fputs($fp, implode("",$file)); 

flock ($fp,LOCK_UN); 

fclose($fp); 
$file[0]= $post[0] .'|'. $post[1] .'|'. $post[2] .'|'. $post[3] .'|'. $post[4] .'|'. $post[5] .'|'. $post[6] .'|'. $post[7] .'|'. $post[8] .'|'. $post[9] .'|'. "ON" .'|'.$post[11].'|'.$post[12].'|'.$post[13].'|'.$post[14]; 

$file=array_reverse($file); 

fputs($fp, implode("",$file)); 

flock ($fp,LOCK_UN); 

fclose($fp); 
chmod($fp, 0777); 

//Тема закруплена! 
if (ereg("$config_mpanel/forum.php",$_SERVER['HTTP_REFERER'])) 
{header ("Location: forum.php?event=topic&r=$r&fid=$fid&id=$id&".SID);} 
else {header ("Location: ../forum/index.php?r=$r&fid=$fid&id=$id&".SID); } 
exit;} 



//-------------------------- Открепление тем ----------------------------// 

if ($event=="unlocked")  { 

//------------------------------------- 

$file=file("../local/dataforum/topic$fid-$r.dat"); 

foreach($file as $index => $val) 

{$alldata = explode("|",$file[$index]); 

if($alldata[7]==$id) 

{$file[$index]= $alldata[0] .'|'. $alldata[1] .'|'. $alldata[2] .'|'. $alldata[3] .'|'. $alldata[4] .'|'. $alldata[5] .'|'. $alldata[6] .'|'. $alldata[7] .'|'. $alldata[8] .'|'. $alldata[9] .'|'. "OFF" .'|'.$alldata[11].'|'.$alldata[12].'|'.$alldata[13].'|'.$alldata[14]; 

$fp=fopen("../local/dataforum/topic$fid-$r.dat","w"); 

flock ($fp,LOCK_EX); 

fputs($fp, implode("",$file)); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod("$fp", 0777); 
} 
} 
//---------------------------------------- 
$file=file("../local/dataforum/$id.dat"); 
$file=array_reverse($file); 
$fp=fopen("../local/dataforum/$id.dat","w"); 
flock ($fp,LOCK_EX); 

$post= explode("|", $file[0]); 



$file[0]= $post[0] .'|'. $post[1] .'|'. $post[2] .'|'. $post[3] .'|'. $post[4] .'|'. $post[5] .'|'. $post[6] .'|'. $post[7] .'|'. $post[8] .'|'. $post[9] .'|'. "OFF" .'|'.$post[11].'|'.$post[12].'|'.$post[13].'|'.$post[14]; 



$file=array_reverse($file); 



fputs($fp, implode("",$file)); 



flock ($fp,LOCK_UN); 
fclose($fp); 

chmod($fp, 0777); 



//Тема снова откреплена 

if (ereg("$config_mpanel/forum.php",$_SERVER['HTTP_REFERER'])) 
{header ("Location: forum.php?event=topic&r=$r&fid=$fid&id=$id&".SID);} 
else {header ("Location: ../forum/index.php?r=$r&fid=$fid&id=$id&".SID); } 
exit;} 

#################перемещение тем############# 
if ($event=="remtema") { 

if ($dostup!=="101") 
{echo '<b>Пошел на хуй</b> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 


$new_fid=check($_POST['new_fid']); 
$newfor=check($_POST['newfor']); 
$rmv=check($_POST['rmv']); 
if ($rmv == "") { 
echo '<b>Вернитесь назад и введите ТЕМУ!</b> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 

$time_p=time(); 
$file=file("../local/dataforum/$rmv.dat"); 
$file=array_reverse($file); 
$tex= explode("|", $file[0]); 
$realfid=$tex[8]; 
$realfor=$tex[11]; 
$total=count($file); 
$new_mainf=$total; 
for ($i=0; $i<$total; $i++) 
{ 
$post= explode("|", $file[$i]); 
$post[10]=preg_replace ("|[\r\n]+|si","",$post[10]); 
$file[$i]=$post[0] .'|'. $post[1] .'|'. $post[2] .'|'. $post[3] .'|'. $post[4] .'|'. $post[5] .'|'. $post[6] .'|'. $time_p .'|'. $new_fid .'|'. $post[9] .'|'. $post[10].'|'.$newfor; 
} 
$new_team=$file[0]; 
$fp=fopen("../local/dataforum/$time_p.dat","w"); 
flock ($fp,LOCK_EX); 
$file=array_reverse($file); 
for ($i=0; $i<$total; $i++) 
{ 
fputs($fp,$file[$i]."\r\n"); 

} 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 

$file=file("../local/dataforum/$rmv.dat"); 
$file=array_reverse($file); 
$post=explode('|',$file[0]); 
$zag=$post[3]; 
if (ereg("ON",$post[10])) 
{$locked="ON";} 
else {$locked="OFF"; } 

unset($post); 

unset($file); 

$mio="[$brow, $ip]"; 

$text=$log.'|рус|'.$mio.'|'.$zag.'|Тема перемещена [url='.$config_home.'/forum/index.php?r='.$newfor.'&fid='.$new_fid.'&id='.$time_p.'&]сюда[/url].  
Текущая тема закрыта для обсуждения!|'.$date.'|'.$sitetime.'|'.$rmv.'|'.$realfid.'|CLOSED|'.$locked.'|'.$post[11]; 



$text=stripslashes($text); 

$fp=fopen("../local/dataforum/$rmv.dat","a+"); 

flock ($fp,LOCK_EX); 

fputs($fp,"$text\r\n"); 
fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 


$fp=fopen("../local/dataforum/topic$new_fid-$newfor.dat","a+"); 
flock ($fp,LOCK_EX); 
fputs($fp,$new_team."\r\n"); 
flock ($fp,LOCK_UN); 
fclose($fp); 

$mainlines = file("../local/dataforum/mainforum$newfor.dat"); $i=count($mainlines); 
do {$i--; $dt=explode("|", $mainlines[$i]); 
if ($dt[0]==$new_fid) {$reallfid=$i;} 
} while($i>0); 



$lines=file("../local/dataforum/mainforum$newfor.dat"); 
$dt=explode("|", $lines[$reallfid]); 
$dt[4]++; 

$dt[5]+=$new_mainf; 



$txtdat="$dt[0]|$dt[1]|$new_fid|$time_p|$dt[4]|$dt[5]|$log|$date|$sitetime|$time_p|$zag|"; 

$fp=fopen("../local/dataforum/mainforum$newfor.dat","a+"); 

flock ($fp,LOCK_EX); 

ftruncate ($fp,0); 

for ($i=0;$i<=(sizeof($lines)-1);$i++) {if ($i==$reallfid) {fputs($fp,"$txtdat\r\n");} else {fputs($fp,$lines[$i]);}} 

fflush ($fp); 

flock ($fp,LOCK_UN); 
fclose($fp); 
@chmod("$fp", 0777); 
@chmod("../local/dataforum/mainforum$newfor.dat", 0777); 



header ("Location: forum.php?".SID); 
} 
//------------------------ Переименование темы -------------------------------// 

if ($event=="rdtema") { 

$zag=check($zag); 

if ($zag == "") { 
echo '<b>Вернитесь назад и введите ТЕМУ!</b> 
'; 
echo '<a href="forum.php?fid='.$fid.'&rd='.$rd.'&'.SID.'">Продолжить</a> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 

$txtmf=$name.'|рус|'.$email.'|'.$zag.'|'.$msg.'|'.$datem.'|'.$timem.'|'.$id.'||'.$timetk.'|'.$locked.'|'.$r ; 

$file=file("../local/dataforum/topic$fid-$r.dat"); 
$i=0; 
while (isset($file[$i])) 
{ $dt = explode("|", $file[$i]); 
if ($dt[7]==$rd ) 
{ $file[$i] = $txtmf . "\r\n";} 
$i++; 
unset($dt); 
} 
$fp=fopen("../local/dataforum/topic$fid-$r.dat","a+"); 
flock ($fp,LOCK_EX); 
ftruncate ($fp,0); 
fputs($fp, implode( "", $file)); 
fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 

############################################### 
$lines = file("../local/dataforum/mainforum$r.dat"); 
$i3=count($lines); 
do {$i3--; $dd = explode("|", $lines[$i3]); 
if ($dd[0]==$fid) {$realfid=$i3; } 
} while($i3>0); 
$dd = explode("|", $lines[$realfid]); 
if ($id==$dd[3]){ 

$txtdat=$dd[0].'|'.$dd[1].'|'.$dd[2].'|'.$dd[3].'|'.$dd[4].'|'.$dd[5].'|'.$dd[6].'|'.$dd[7].'|'.$dd[8].'|'.$dd[9].'|'.$zag.'|'.$dd[10]; 

$fp2=fopen("../local/dataforum/mainforum$r.dat","a+"); 
flock ($fp2,LOCK_EX); 
ftruncate ($fp2,0); 
for ($i2=0;$i2<=(sizeof($lines)-1);$i2++) {if ($i2==$realfid) {fputs($fp2,"$txtdat\r\n");} else {fputs($fp2,$lines[$i2]);}} 
fflush ($fp2); 
flock ($fp2,LOCK_UN); 
fclose($fp2); 
chmod($fp2, 0777);} 

#################################################### 
$file1=file("../local/dataforum/$id.dat"); 

$fs=count($file1)-1; 

$i1="-1"; 

$dt = explode("|", $file1[$fs]); 



$text1=$dt[0].'||'.$dt[2].'|'.$zag.'|'.$dt[4].'|'.$dt[5].'|'.$dt[6].'|'.$id.'||'.$dt[7].'|'.$dt[10].'|'.$r.'|'.$dt[12].'|'.$dt[13].'|'.$dt[14]; 



$text1=preg_replace ("|[\r\n]+|si","",$text1); 
$fp1=fopen("../local/dataforum/$id.dat","a+"); 
flock ($fp1,LOCK_EX); 
ftruncate ($fp1,0); 

do {$i1++; if ($i1==$fs) {fputs($fp1,"$text1\r\n");} else {fputs($fp1,$file1[$i1]);} } while($i1 < $fs); 
fflush ($fp1); 
flock ($fp1,LOCK_UN); 
fclose($fp1); 
chmod($fp1, 0777); 

######################################################### 
header ("Location: forum.php?r=$r&fid=$fid&".SID); 
//Тема успешно изменена! 
exit; } 



//-------------------------------------------------------// 


} 

if(isset($event)){ 

if (($event=="addtopic") or ($event=="addanswer")) { 

if (!isset($fid)) { echo'<b>Ошибка скрипта или попытка взлома!</b>'; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 

if (!isset($r)) { echo'<b>Ошибка скрипта или попытка взлома!</b>'; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 

$mainlines = file("../local/dataforum/mainforum$r.dat"); $i=count($mainlines); 
do {$i--; $dt = explode("|", $mainlines[$i]); 

if ($dt[0]==$fid) {$realfid=$i; if ($dt[1]=="razdel") { 

echo 'Попытка взлома, Идите нахуй!'; 

include_once"../themes/$config_themes/foot.php"; exit;}} 



} while($i>0); 





if (strlen($msg) > 4800 || strlen($msg) < 1) { 

echo '<b>Ваше сообщение пустое или слишком длинное.</b> 
'; 
echo '<a href="forum.php?newtema=add&fid='.$fid.'&'.SID.'">Повторить</a> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 

if (strlen($zag) > 150 || strlen($zag) < 5 ) { 
echo '<b>Ваш заголовок пустой или слишком длинный!</b> 
'; 
echo '<a href="forum.php?newtema=add&fid='.$fid.'&'.SID.'">Повторить</a> 
'; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 


if ($event=="addtopic") { 
$tt=explode(' ', microtime()); 
$ttt="$tt[1]"+"$tt[0]"; 
$ttf=str_replace(".", "", $ttt); 
$id = $ttf;} 

$tektime=time(); 
$mio="[$brow, $ip]"; 
if (isset($_POST['locked']) && $_POST['locked']=="ON") 
{ $locked="ON";} 
else { $locked="OFF";} 

$log=check($log); 
$mio=check($mio); 
$zag=check($zag); 
$msg=check($msg); 
$msg = smiles($msg); 
$date=check($date); 
$time=check($time); 
$id=check($id); 
$tektime=check($tektime); 







$msg=preg_replace ("|[\r\n]+|si"," 
",$msg); 



$text=$name.'|рус|'.$mio.'|'.$zag.'|'.$msg.'|'.$date.'|'.$sitetime.'|'.$id.'|'.$fid.'|'.$tektime.'|'.$locked.'|'.$r.'|'.$userfile1.'|'.$ext1.'|'.$skryt.'|'; 



$text=preg_replace ("|[\r\n]+|si","",$text); 






if(isset($topicrd)) { 


$file=file("../local/dataforum/$id.dat"); 
$fs=count($file)-1; 
$i="-1"; 

$fp=fopen("../local/dataforum/$id.dat","a+"); 
flock ($fp,LOCK_EX); 
ftruncate ($fp,0); 
do {$i++; if ($i==$topicrd) {fputs($fp,"$text\r\n");} else {fputs($fp,$file[$i]);} } while($i < $fs); 
fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod("$fp", 0777); 
unset($text); 
header ("Location: forum.php?event=topic&r=$r&fid=$fid&id=$id&page=$page&".SID); 

//Сообщение успешно изменено! 
include_once"../themes/$config_themes/foot.php"; 
exit; } 


$zag=utf_to_win($zag); 
if (strlen($zag)>30) {$zag=substr($zag,0,30); $zag.="...";} 
$zag=win_to_utf($zag); 

$lines = file("../local/dataforum/mainforum$r.dat"); 
$dt = explode("|", $lines[$realfid]); 
if ($event=="addtopic") {$dt[4]++;} $dt[5]++; 
$txtdat=$dt[0].'|'.$dt[1].'|'.$dt[2].'|'.$id.'|'.$dt[4].'|'.$dt[5].'|'.$name.'|'.$date.'|'.$time.'|'.$tektime.'|'.$zag.'|'; 


$fp=fopen("../local/dataforum/mainforum$r.dat","a+"); 
flock ($fp,LOCK_EX); 
ftruncate ($fp,0); 
for ($i=0;$i<=(sizeof($lines)-1);$i++) { 
if ($i==$realfid) {fputs($fp,"$txtdat\r\n");} else {fputs($fp,$lines[$i]);}} 
fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 
} 






//------------------------ Добавление новой темы ---------------------------------// 
if ($event =="addtopic") { 
$fp=fopen("../local/dataforum/topic$fid-$r.dat","a+"); 
flock ($fp,LOCK_EX); 
fputs($fp,"$text\r\n"); 
fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 



$fp=fopen("../local/dataforum/$id.dat","a+"); 
flock ($fp,LOCK_EX); 
fputs($fp,"$text\r\n"); 
fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 
header ("Location: forum.php?event=topic&r=$r&fid=$fid&id=$id&".SID); 
//Тема успешно добавлена 
exit; } 



if ($event=="addanswer") { 
$fp=fopen("../local/dataforum/$id.dat","a+"); 
flock ($fp,LOCK_EX); 
fputs($fp,"$text\r\n"); 
fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod($fp, 0777); 
// обновление топика тем 
$file=file("../local/dataforum/topic$fid-$r.dat"); 
foreach($file as $index => $val) 
{$alldata = explode("|",$file[$index]); 
$alldata2 = explode("|",$text); 
if($alldata[7]==$alldata2[7]) 
{$fp=fopen("../local/dataforum/topic$fid-$r.dat","w"); 
flock ($fp,LOCK_EX); 
unset($file[$index]); 
fputs($fp, implode("",$file)); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod("$fp", 0777); 
} 
} 
$fp=fopen("../local/dataforum/topic$fid-$r.dat","a+"); 
flock ($fp,LOCK_EX); 
fputs($fp,"$text\r\n"); 
fflush ($fp); 
flock ($fp,LOCK_UN); 
fclose($fp); 
chmod("$fp", 0777); 

$filo=file("../local/dataforum/$id.dat"); 
$di=count($filo); 
$paga=(round($di/$config_forumpost))*$config_forumpost; 
if ($paga>=$di) $paga=$paga-$config_forumpost; 

//Сообщение успешно добавлено 
header ("Location: forum.php?event=topic&r=$r&fid=$fid&id=$id&page=$paga&".SID); 
exit;} 

} 


/////////////////////////////////////////////////////////////////////////////////////////////////////////////// 

if (isset($fid)) { 
$mainlines = file("../local/dataforum/mainforum$r.dat"); 
$i=count($mainlines); 

if (!ctype_digit($fid)) { 
echo '<h3>ОШИБКА!</h3>'; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 

do {$i--; $rdt = explode("|", $mainlines[$i]); 
$dt = explode("|", $mainlines[$i]); 
if ($dt[0]==$fid) {$i=0;} 
} while($i > "1"); 


$frname=$dt[1]; 
$frname.=' -'; 

if (isset($id)) {if (is_file("../local/dataforum/$id.dat")) {$lines = file("../local/dataforum/$id.dat"); $dt = explode("|", $lines[0]); $frtname=$dt[3]; $frtname.=" -";} else {$frtname=""; $frname="";}} else {$frtname="";} } else {$frname=""; $frtname="";} 
if (isset($r)){ 
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){ 
echo '<b><a href="forum.php?event=revolushion&r='.$r.'&'.SID.'">Пересчитать</a></b> 
';}} 

if (isset($r)) 
{echo '<a href="forum.php?'.SID.'"><b>Форум</b></a>';} 
else { echo '<b>Форум</b>';} 


if (!isset($_GET['event']) && !isset($_GET['r'])) { 
echo ' | <a href="../forum/index.php?'.SID.'">Обзор</a> 
<hr>'; 
$forum = file("../local/forum.dat"); 

$i=count($forum); 
$n="0"; $a1="-1"; $u=$i-1; 
do {$a1++; $da=explode("|", $forum[$a1]); 
if (is_file("../local/dataforum/mainforum$da[0].dat")){ 
$ff = file("../local/dataforum/mainforum$da[0].dat"); 
$ii=count($ff); 
$numn=0; $iii=0; $numnp=0; 
while($ff[$iii]){ 
$mnfor=explode("|", $ff[$iii]); 
if($mnfor[4]!=="") {$numn+=$mnfor[4]; $numnp+=$mnfor[5];} 
$iii++;} 

echo"<div class=b><img src=\"../images/img/forums.gif\" alt=\"\"> <b><a href=\"forum.php?r=$da[0]&".SID."\">$da[1]</a></b>  ($numn/$numnp)"; 
if ($dostup==101 || $dostup==102){ 
echo ' 
|<a href="forum.php?movefor='.$a1.'&where=1&'.SID.'">вверх</a>'; 
echo '|<a href="forum.php?movefor='.$a1.'&where=0&'.SID.'">вниз</a>'; 
echo '|<a href="forum.php?pfrd='.$a1.'&'.SID.'">edit</a>'; 
echo '|<a href="forum.php?provfor='.$a1.'&'.SID.'">del</a>|'; 
} 

$tfor=0; $ih="";$i=0; 
while ($ff[$i]){ 
$mfor=explode("|", $ff[$i]); 
if($mfor[9]>$tfor) {$tfor=$mfor[9]; $ih=$i;} 
$i++;} 
$dt=explode("|", $ff[$ih]); 
echo '</div><b>Тема:</b> <a href="forum.php?event=topic&r='.$da[0].'&fid='.$dt[0].'&id='.$dt[3].'&'.SID.'">'.$dt[10] .'</a>'; 

if ($dt[10]=="") echo 'не созданы'; 

echo ' 
'; 

echo 'Сообщение: '.$dt[6]; 

if ($dt[6]=="") echo 'не созданы'; 

echo ' ['.date_fixed($dt[8]).']'; 



} 



} while($a1 < $u); 



if ($dostup==101 || $dostup==102){ 



echo" 
<hr>Добавить подфорум: 
"; 

echo"<form method=\"post\" action=\"?addpod".SID."\">"; 

echo" 
<input name=\"podf\"maxlength=\"50\" value=\"\"> 
"; 
echo" 

<input value=\"Добавить\" type=\"submit\"></form>"; 
}} 

//------------------------ Форма редактирования подфорума ---------------------------------// 
if (isset($pfrd)) { 
if ($pfrd!="") { 

$lines = file("../local/forum.dat"); 

$txt=explode("|", $lines[$pfrd]); 

echo '<hr><form action="forum.php?event=pfrdmainforum&'.SID.'" method="post">'; 
echo ' 
Редактирование Форума 
'; 

echo '<input type="hidden" name="numf" value="'.$pfrd.'" />'; 
echo '<input type="text" value="'.$txt[1].'" name="pzag" />'; 

echo '<input type="hidden" name="r" value="'.$txt[0].'" />'; 
echo '<input type="submit" value="Изменить" /></form>';}} 

################### 


if (!isset($_GET['event'])) { 
if (isset($_GET['r']) and !isset($_GET['fid'])) { 
$r=$_GET['r']; 
#################### 
$r=(int)$r; 
$mainfor=file("../local/forum.dat"); 
$kf=count($mainfor); 
$az1='-1'; 
$ux=$kf-1; 

do {$az1++; 
$yy=explode("|", $mainfor[$az1]); 
if ($yy[0]==$r){$forr=$yy[1];}} while($az1 < $ux); 
###################### 
echo ' | <b>'.$forr.'</b> | '; 
echo '<a href="../forum/index.php?r='.$r.'&'.SID.'">Обзор</a> 
<hr>'; 



if ($dostup==101 || $dostup==102){ 

$addform='<hr><form action="forum.php?event=addmainforum&'.SID.'" method="post"><b>Добавление Раздела</b> 

Заголовок: 
<input type="text" name="zag" size=30 /> 
<input type="hidden" name="ftype" value="" /> 
<input type="hidden" name="r" value="'.$r.'" /> 
<input type="submit" value="Добавить" /></form>';} 



if (!is_file("../local/dataforum/mainforum$r.dat")) { 
echo '<h3>Разделы не созданы - добавьте раздел.</h3>'.$addform; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 


$lines = file("../local/dataforum/mainforum$r.dat"); 
$datasize = sizeof($lines); 
if ($datasize==0) { 
echo '<h3>Разделы не созданы - добавьте раздел.</h3>'.$addform; 
include_once"../themes/$config_themes/foot.php"; 
exit;} 

$i=count($lines); 
$n="0"; $a1="-1"; $u=$i-1; 
$fid="0"; $itogotem="0"; $itogomsg="0"; 
do {$a1++; $dt = explode("|", $lines[$a1]); 
$fid=$dt[0]; 
if ($dt[1]=='razdel') { 
echo $dt[2];} 

else { 
if ($dt[7]==$date) {$dt[7]='Сегодня';} 
echo '<div class=b><img src="../images/img/forums.gif" alt=""> <a href="forum.php?r='.$r.'&fid='.$fid.'&'.SID.'"><b>'.$dt[1].'</b></a>'; 
echo ' ('.$dt[4].'/'.$dt[5].')'; 

if ($dostup==101 || $dostup==102){ 
echo ' 
|<a href="forum.php?r='.$r.'&movetopic='.$a1.'&where=1&'.SID.'">вверх</a>'; 
echo '|<a href="forum.php?r='.$r.'&movetopic='.$a1.'&where=0&'.SID.'">вниз</a>'; 
echo '|<a href="forum.php?r='.$r.'&frd='.$a1.'&'.SID.'">edit</a>'; 
echo '|<a href="forum.php?r='.$r.'&provtop='.$a1.'&'.SID.'">del</a>|'; 
} 

echo '</div><b>Тема:</b> <a href="forum.php?event=topic&r='.$r.'&fid='.$fid.'&id='.$dt[3].'&'.SID.'">'.$dt[10] .'</a>'; 
if ($dt[10]=="") echo 'не созданы'; 
echo ' 
'; 
echo 'Сообщение: '.$dt[6]; 



if ($dt[6]=="") echo 'не созданы'; 



echo ' ['.date_fixed($dt[8]).']'; 







$itogotem=$itogotem+$dt[4]; $itogomsg=$itogomsg+$dt[5]; } 
} while($a1 < $u); 





//------------------------ Форма редактирования раздела ---------------------------------// 

if (isset($frd)) { 
if ($frd!="") { 

$lines = file("../local/dataforum/mainforum$r.dat"); 
$dt = explode("|", $lines[$frd]); 

echo '<hr><form action="forum.php?event=frdmainforum&'.SID.'" method="post">'; 
echo ' 
Редактирование Форума'; 
echo '<input type="hidden" name="nextnum" value="'.$dt[0].'" />'; 

if ($dt[1]=='razdel') { 
echo '<input type="hidden" name="ftype" value="razdel" />'; 
echo '<input type="text" value="'.$dt[2].'" name="zag" />';} 

else { 
echo '<input type="hidden" name="ftype" value="" /> 
'; 
echo '<input type="text" value="'.$dt[1].'" name="zag" />'; 

echo '<input type="hidden" name="idtemka" value="'.$dt[3].'" />'; 
echo '<input type="hidden" name="kt" value="'.$dt[4].'" />'; 
echo '<input type="hidden" name="km" value="'.$dt[5].'" />'; 
echo '<input type="hidden" name="namem" value="'.$dt[6].'" />'; 
echo '<input type="hidden" name="datem" value="'.$dt[7].'" />'; 
echo '<input type="hidden" name="timem" value="'.$dt[8].'" />'; 
echo '<input type="hidden" name="timetk" value="'.$dt[9].'" />'; 
echo '<input type="hidden" name="temka" value="'.$dt[10].'" />'; 
} 

echo '<input type="hidden" name="frd" value="'.$frd.'" />'; 
echo '<input type="hidden" name="r" value="'.$r.'" />'; 
echo '<input type="submit" value="Изменить" /></form>'; 

}} else { echo $addform;} 

echo'<hr>Тем: <b>'.$itogotem.'</b> 
Постов: <b>'.$itogomsg.'</b>'; 

} else { 

$fid=(int)$fid; 
$r=(int)$r; 
$mainfor=file("../local/forum.dat"); 
$kf=count($mainfor); 
$az1='-1'; 
$ux=$kf-1; 

do {$az1++; 
$yy=explode("|", $mainfor[$az1]); 
if ($yy[0]==$r){$forr=$yy[1];}} while($az1 < $ux); 

$forums = file("../local/dataforum/mainforum$r.dat"); 
################################################### 

$iz=count($forums); 

$az1='-1'; 
$ux=$iz-1; 

do {$az1++; 
$yy=explode("|", $forums[$az1]); 
if ($yy[0]==$fid){$raz=$yy[1];}} while($az1 < $ux); 
#################################################### 
if (isset($forr) && isset($raz)){ 
echo '<a href="forum.php?'.SID.'">'.$fname.'</a> | '; 
echo '<a href="forum.php?r='.$r.'&'.SID.'"><b>'.$forr.'</b></a> | '; 
echo '<b>'.$raz.'</b> | '; 
echo '<a href="forum.php?r='.$r.'&fid='.$fid.'&newtema=add&'.SID.'"><b>Новая тема</b></a> | '; 
echo '<a href="../forum/index.php?r='.$r.'&fid='.$fid.'&page='.$page.'&'.SID.'">Обзор</a> 
<hr>';} 


if (is_file("../local/dataforum/topic$fid-$r.dat")) { 
$msglines=file("../local/dataforum/topic$fid.dat"); 

if (count($msglines)>0) { 

$lines=file("../local/dataforum/topic$fid-$r.dat"); 
/////////////////////////////////////////////////////////////////// 
$ups=0; 
while (isset($lines[$ups])) 
{ $well=explode("|", $lines[$ups]); 
if ( !ereg ("ON" , $well[10])) 
{ $unlines[]= $lines[$ups]; } 
$ups++; 
} 
$ups=0; 
while (isset($lines[$ups])) 
{ $well=explode("|", $lines[$ups]); 
if ( ereg ("ON" , $well[10])) 
{ $unlines[]= $lines[$ups]; } 
$ups++; 
} 
unset($lines); 
$lines=$unlines; 
//////////////////////////////////////////////////////////////////// 
$i=count($lines); 
$n="0"; 
if (!isset($page)) {$page="0";} 



if ($page>=$i) {$page=$i-1;} 
if ($i-$page-$config_forumtem>=0) {$a1=$i-$page; $u=$a1-$config_forumtem;} else {$a1=$i-$page; $u=0;} 



do {$a1--; $dt=explode("|", $lines[$a1]); 

$filename=$dt[7]; 
if (is_file("../local/dataforum/$filename.dat")) { 
$msgsize = sizeof(file("../local/dataforum/$filename.dat"));} 

$datatek=file("../local/dataforum/$filename.dat"); 
$pos=$msgsize-1; 
$dtt = explode("|", $datatek[$pos]); 

///////////////// 
echo '<div class=b>'; 
if (ereg("ON",$dtt[10])) 
{ echo '<img src="../images/img/lock.gif" alt=""> ';} 
if ($dtt[9]=="CLOSED") 
{echo '<img src="../images/img/zakr.gif" alt=""> ';} 
elseif(!ereg("ON",$dtt[10])) 
{echo '<img src="../images/img/forums.gif" alt=""> ';} 
echo '<b><a href="forum.php?event=topic&r='.$r.'&fid='.$fid.'&id='.$dt[7].'&'.SID.'">'.$dt[3].'</a></b>'; 
echo ' (Сообщений: '.$msgsize.')'; 
echo ' 
|<a href="forum.php?r='.$r.'&fid='.$fid.'&rd='.$dt[7].'&'.SID.'">edit</a>'; 
echo '|<a href="forum.php?r='.$r.'&fid='.$fid.'&xd='.$dt[7].'&prov=no&'.SID.'">del</a>|'; 
if ($dostup=="101"){ 
echo '<a href="forum.php?r='.$r.'&fid='.$fid.'&rmv='.$dt[7].'&'.SID.'">rem</a>|';} 
echo '</div>'; 

//--------------- Правильный пост. вывод для тем (превью) ---------------------// 
if($msgsize>1){$tots=$msgsize-1;}else{$tots=$msgsize;} 
$ba=ceil($tots/$config_forumpost); 
$ba2=floor($tots/$config_forumpost)*$config_forumpost; 

echo'Страницы:'; 

$asd2=$page+($config_forumpost*5); 

for($i=0; $i<$asd2;) 
{ 
if($i<$tots && $i>=0){ 
$ii=floor(1+$i/$config_forumpost); 


echo ' <a href="forum.php?event=topic&r='.$r.'&fid='.$fid.'&id='.$dt[7].'&page='.$i.'&'.SID.'">'.$ii.'</a>'; 
} 

$i=$i+$config_forumpost;} 
if($asd2<$tots){echo ' ... <a href="forum.php?event=topic&r='.$r.'&fid='.$fid.'&id='.$dt[7].'&page='.$ba2.'&'.SID.'">'.$ba.'</a>';} 
//---------------------------------------------------------------------// 


if ($msgsize>=2) { 
$linesdat=file("../local/dataforum/$filename.dat"); 
$dtdat=explode("|", $linesdat[$msgsize-1]); 
$dt[0]=$dtdat[0]; 
$dt[1]=$dtdat[1]; 
$dt[2]=$dtdat[2]; 
$dt[5]=$dtdat[5]; 
$dt[6]=$dtdat[6];} 



if ($dt[5]==$date) {$dt[5]='Сегодня';} 
echo ' 
Посл. сообщение: '.$dt[0].' ['.date_fixed($dt[6]).'] 
'; 



} while($a1 > $u); 











//----------------------- Правильный пост. вывод для тем --------------------------------// 
$lines=file("../local/dataforum/topic$fid-$r.dat"); 

$a=count($lines); 

$ba=ceil($a/$config_forumtem); 

$ba2=floor($a/$config_forumtem)*$config_forumtem; 

echo ' 
'; 


echo'<hr>Страницы:'; 
$asd=$page-($config_forumtem*2); 
$asd2=$page+($config_forumtem*3); 

if($asd<$a && $asd>0){echo ' <a href="forum.php?r='.$r.'&fid='.$fid.'&page=0&'.SID.'">1</a> ... ';} 

for($i=$asd; $i<$asd2;) 
{ 
if($i<$a && $i>=0){ 
$ii=floor(1+$i/$config_forumtem); 

if ($page==$i) { 
echo ' <b>'.$ii.'</b>'; 
} 
else { 
echo ' <a href="forum.php?r='.$r.'&fid='.$fid.'&page='.$i.'&'.SID.'">'.$ii.'</a>'; 
}} 


$i=$i+$config_forumtem;} 
if($asd2<$a){echo ' ... <a href="forum.php?r='.$r.'&fid='.$fid.'&page='.$ba2.'&'.SID.'">'.$ba.'</a>';} 

}else{echo ' 
';} 
} 

//---------------------------- Перемещение темы --------------------------------// 
if (isset($_GET['rmv'])) { 
if ($_GET['rmv'] !="")  { 
$rmv=$_GET['rmv']; 

$newfor=check($newfor); 
echo '<hr>Перемещение темы в раздел 
'; 
if ($newfor=="") 
{echo 'Выберите новый подраздел форума: 
'; 
$file=file("../local/forum.dat"); 
$craz=count($file); 
echo '<form action="forum.php?r='.$r.'&fid='.$fid.'&rmv='.$rmv.'&'.SID.'" method="post">'; 
echo '<select name=newfor size=1>'; 
for($i=0; $i<$craz; $i++) 
{$xxx = explode("|", $file[$i]); 
$newfor=trim($xxx[0]); 
$imya=trim($xxx[1]); 
if(file_exists("../local/dataforum/mainforum$newfor.dat")){ 
echo '<option value='.$newfor.'>'.$imya.'</option>';}} 
echo '</select>'; 
echo '<input type="submit" value="Изменить" /></form>'; 
} 
else {$file=file("../local/dataforum/mainforum$newfor.dat"); 
$craz=count($file); 
echo '<form action="forum.php?event=remtema&'.SID.'" method="post">'; 
echo '<select name=new_fid size=1>'; 
for($i=0; $i<$craz; $i++) 
{$xxx = explode("|", $file[$i]); 
$new_fid=trim($xxx[0]); 
$imya=trim($xxx[1]); 
echo '<option value='.$new_fid.'>'.$imya.'</option>';} 
echo '</select>'; 
echo '<input type="hidden" name="rmv" value="'.$rmv.'" />'; 
echo '<input type="hidden" name="newfor" value="'.$newfor.'" />'; 
echo '<input type="submit" value="Изменить" /></form>'; 
} 
}} 

//--------------------- Конец ----------------------// 


//---------------------------- Редактирование  и Добавление Темы --------------------------------// 
if (isset($_GET['rd'])) { 
if ($_GET['rd'] !="")  { 
$rd=$_GET['rd']; 

$file=file("../local/dataforum/topic$fid-$r.dat"); 
$i=0; 
while (isset($file[$i])) 
{ $xxx = explode("|", $file[$i]); 
if ($xxx[7]==$rd ) 
{ $dt = $xxx;} 
$i++; 
unset($xxx); 
} 

echo '<hr>Редактирование Темы 
<b>Тема:</b> 
'; 
echo '<form action="forum.php?r='.$r.'&fid='.$fid.'&event=rdtema&'.SID.'" method="post">'; 
echo '<input type="text" name="zag" value="'.$dt[3].'" />'; 
echo '<input type="hidden" name="rd" value="'.$rd.'" />'; 
echo '<input type="hidden" name="name" value="'.$dt[0].'" />'; 
echo '<input type="hidden" name="email" value="'.$dt[2].'" />'; 
echo '<input type="hidden" name="msg" value="'.$dt[4].'" />'; 
echo '<input type="hidden" name="datem" value="'.$dt[5].'" />'; 
echo '<input type="hidden" name="timem" value="'.$dt[6].'" />'; 
echo '<input type="hidden" name="id" value="'.$dt[7].'" />'; 
echo '<input type="hidden" name="timetk" value="'.$dt[9].'" /> 
'; 
echo '<input type="submit" value="Изменить" /></form>'; 

}}else  { 

//--------------------- Форма добавления новой темы ----------------------// 

if($newtema==add){ 
echo '<hr>Добавление темы 
'; 
echo '<form action="forum.php?event=addtopic&r='.$r.'&fid='.$fid.'&'.SID.'" method="post">'; 

echo '<b>Заголовок темы:</b> 
'; 
echo '<input type="text" name="zag" maxlength="30" /> 
'; 
echo '<b>Сообщение:</b> 
'; 
echo '<textarea cols="25" rows="3" name="msg"></textarea> 
'; 
echo '<input type="hidden" name="name" value="'.$log.'" />'; 
echo ' 
<input type="submit" value="Добавить" /></form> 
'; 
} 

}}}else{ 



if ($event=="topic"){ 
if ($r == "") { echo ' ошибка :-(';   include_once"../themes/$config_themes/foot.php";  exit;} 
if ($id == "") { echo ' ошибка :-(';  include_once"../themes/$config_themes/foot.php"; exit;} 
if ($fid == "") { echo ' ошибка :-(';   include_once"../themes/$config_themes/foot.php";  exit;} 

$mainlines = file("../local/dataforum/mainforum$r.dat"); 
$i=count($mainlines); 

do {$i--; $rdt = explode("|", $mainlines[$i]); 
$dt = explode("|", $mainlines[$i]); 
if ($dt[0]==$fid) {$i=0;} 

} while($i > "1"); 
$frname=$dt[1]; 



if (!is_file("../local/dataforum/$id.dat")) { 
//Тема удалена модератором! 
header ("Location: forum.php?r=$r&fid=$fid&isset=delthemes&".SID); 
exit; 
}else { 
$lines = file("../local/dataforum/$id.dat"); 
if (count($lines)>0) { 

$lines = file("../local/dataforum/$id.dat"); 
$i=count($lines); 
$n="0"; 
if (!isset($page)){$page="0";} 


if ($page>=$i) {$page=(round($i/$config_forumpost))*$config_forumpost-$config_forumpost;} 
if ($i<=$config_forumpost) {$page="0";} 
if ($page>=1) {$a1=$page;} else {$a1=0;} 
if (($a1+$config_forumpost)<$i) {$u=$a1+$config_forumpost;} else {$u=$i;} 

do {$dt = explode("|", $lines[$a1]); 

$dt[4]=eregi_replace("((https?|ftp)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?)", "<a href='\\1'>\\1</a>", $dt[4]); 

$a1++; 


if (!isset($m1)) { 

$filem=file("../local/dataforum/$id.dat"); 
$fg=count($filem)-1; 
$dg=explode("|", $filem[$fg]); 

$r=(int)$r; 
$mainfor=file("../local/forum.dat"); 
$kf=count($mainfor); 
$az1='-1'; 
$ux=$kf-1; 

do {$az1++; 
$yy=explode("|", $mainfor[$az1]); 
if ($yy[0]==$r){$forr=$yy[1];}} while($az1 < $ux); 

$forums = file("../local/dataforum/mainforum$r.dat"); 

########################################################## 



$iz=count($forums); 
$az1="-1"; $ux=$iz-1; 
do {$az1++; 
$yy=explode("|", $forums[$az1]); 
if ($yy[0]==$fid){$raz=$yy[1];}} while($az1 < $ux); 

############################################################# 

echo '<a href="forum.php?'.SID.'">'.$fname.'</a> | '; 
echo '<a href="forum.php?r='.$r.'&'.SID.'"><b>'.$forr.'</b></a> | '; 
echo '<a href="forum.php?r='.$r.'&fid='.$fid.'&'.SID.'"><b>'.$raz.'</b></a> | '; 
echo '<a href="../forum/index.php?r='.$r.'&fid='.$fid.'&id='.$id.'&page='.$page.'&'.SID.'">Обзор</a> 
'; 
echo ' 
<img src="../images/img/themes.gif" alt=""> <b>'.$dg[3].'</b> 
'; 

$m1='1'; 


############################### 

$lines2=file("../local/dataforum/$id.dat"); 

$lines2=array_reverse($lines2); 
$ddd=explode("|", $lines2[0]); 
if($config_themes!=="wml"  && $i>1) 
{echo '<form action="forum.php?idd=go&r='.$r.'&fid='.$fid.'&id='.$id.'&page='.$page.'&'.SID.'" method="POST">';} 

if ($ddd[9]!="CLOSED") 
{echo '<div class=a><img src="../images/img/close.gif" alt=""> '; 
echo '<b><a href="forum.php?event=zakr&zag='.$dt[3].'&r='.$r.'&fid='.$fid.'&id='.$id.'&'.SID.'">Закрыть тему!</a></b>'; 
} 
else{echo '<b><font color="red">Тема закрыта</font></b> 
'; 
echo '<div class=a><img src="../images/img/open.gif" alt=""> '; 
echo '<b><a href="forum.php?event=otkr&r='.$r.'&fid='.$fid.'&id='.$id.'&'.SID.'">Открыть тему!</a></b>'; 
} 
if (ereg ("ON", $ddd[10])) 
{echo ' <img src="../images/img/close.gif" alt=""> '; 
echo '<b><a href="forum.php?event=unlocked&zag='.$dt[3].'&r='.$r.'&fid='.$fid.'&id='.$id.'&'.SID.'">Открепить тему!</a></b></div>'; 
} 
else{echo ' <img src="../images/img/open.gif" alt=""> '; 
echo '<b><a href="forum.php?event=locked&r='.$r.'&fid='.$fid.'&id='.$id.'&'.SID.'">Закрепить тему!</a></b></div>'; 
} 
} 

################################## 



echo '<div class=b>'; 

$nnum=$a1-1; 

if($config_themes!=="wml" && $i>1) 

{echo '<input type="checkbox" name="check'.$nnum.'">';} 



echo $a1.'. '; 



echo '<b><a href="../pages/anketa.php?uz='.$dt[0].'">'.$dt[0].'</a></b> '; 



echo '['.date_fixed($dt[6]).']'; 



echo ' 
|<a href="forum.php?event=topic&r='.$r.'&fid='.$fid.'&id='.$id.'&topicrd='.$a1.'&page='.$page.'&'.SID.'">edit</a>'; 

echo '|<a href="forum.php?event=topic&r='.$r.'&fid='.$fid.'&id='.$id.'&topicxd='.$a1.'&page='.$page.'&provpost=no&'.SID.'">del</a>|</div>'; 
echo $dt[4].' 
'; 


///////////////////////////////////////////////// 
if ($dt[13]=="") { 
} 
else{ 
echo ' 
</div><img src="../images/img/files.gif" alt=""><a href="'.$dt[13].'/'.$dt[12].'"><b>'.$dt[12].'</b></a>  
'; 
echo ' 
|<a href="forum.php?event=topic&r='.$r.'&fid='.$fid.'&id='.$id.'&topicrd1='.$a1.'&page='.$page.'&'.SID.'">del</a>'; 
} 
/////////////////////////////////////// 
echo'<small><font color="#CC00CC">'.$dt[2].' </font></small> 
'; 


} while($a1 < $u); 
if($config_themes!=="wml") 
{if($i>1) 
{echo '<hr><input type="submit" value="Удалить выбранное"></form>';} 
} 



//----------------------- Постраничный вывод внутри темы -----------------// 
$lines=file("../local/dataforum/$id.dat"); 
$a=count($lines); 

$ba=ceil($a/$config_forumpost); 
$ba2=floor(($a-1)/$config_forumpost)*$config_forumpost; 
echo ' 
'; 

echo'<hr>Страницы:'; 
$asd=$page-($config_forumpost*3); 
$asd2=$page+($config_forumpost*4); 

if($asd<$a && $asd>0){echo ' <a href="forum.php?event=topic&r='.$r.'&fid='.$fid.'&id='.$id.'&page=0&'.SID.'">1</a> ... ';} 

for($i=$asd; $i<$asd2;) 
{ 
if($i<$a && $i>=0){ 
$ii=floor(1+$i/$config_forumpost); 

if ($page==$i) { 
echo ' <b>('.$ii.')</b>'; 
} 
else { 
echo ' <a href="forum.php?event=topic&r='.$r.'&fid='.$fid.'&id='.$id.'&page='.$i.'&'.SID.'">'.$ii.'</a>'; 
}} 

$i=$i+$config_forumpost;} 
if($asd2<$a){echo ' ... <a href="forum.php?event=topic&r='.$r.'&fid='.$fid.'&id='.$id.'&page='.$ba2.'&'.SID.'">'.$ba.'</a>';} 
/////////////////////////////////////////////////// 
if (isset($topicrd1)) { 
$topicrd1=$topicrd1-1; 
$lines = file("../local/dataforum/$id.dat"); 
$dt = explode("|", $lines[$topicrd1]); 
unlink("../forum/$dt[13]/$dt[12]"); 
unlink("../forum/$dt[13]/$dt[12].txt"); 
unlink("../forum/$dt[13]/$dt[12].kom"); 

$dt[4] = preg_replace('# 
<small><font color="red">Отредактировано(.*?)</font></small>#si', '', $dt[4]); 
$dt[4]=str_replace('<img src="../images/smiles/',':',$dt[4]); 
$dt[4]=str_replace('.gif" alt="">','',$dt[4]); 
$dt[4]=str_replace (" 
","\r\n",$dt[4]); 
$dt[4]=str_replace ("<br />","\r\n",$dt[4]); 
$dt[10]=ereg_replace("\r\n","",$dt[10]); 
echo '<hr><form action="forum.php?event=addanswer&r='.$r.'&fid='.$fid.'&topicrd='.$topicrd1.'&page='.$page.'&redq=yes&'.SID.'" method="post">'; 
echo 'Удаление файла 
'; 

echo '<input type="hidden" name="msg" value="'.$dt[4].'" />'; 
echo '<input type="hidden" name="name" value="'.$dt[0].'" />'; 
echo '<input type="hidden" name="id" value="'.$dt[7].'" />'; 
echo '<input type="hidden" name="zag" value="'.$dt[3].'" />'; 

echo '<input type="hidden" name="fdate" value="'.$dt[5].'" />'; 
echo '<input type="hidden" name="ftime" value="'.$dt[6].'" />'; 
echo '<input type="hidden" name="fnomer" value="'.$topicrd1.'" />'; 
echo '<input type="hidden" name="timetk" value="'.$dt[9].'" />'; 
echo '<input type="hidden" name="locked" value="'.$dt[10].'" />'; 
echo '<input type="hidden" name="page" value="'.$page.'" /> 

'; 
echo '<input type="hidden" name="redq" value="yes" />'; 
echo '<input type="submit" value="Удалить" /></form>';} 
//////////////////////////// 
if (isset($topicrd)) { 
$topicrd=$topicrd-1; 
$lines = file("../local/dataforum/$id.dat"); 
$dt = explode("|", $lines[$topicrd]); 

$dt[4] = preg_replace('# 
<small><font color="red">Отредактировано(.*?)</font></small>#si', '', $dt[4]); 
$dt[4]=str_replace('<img src="../images/smiles/',':',$dt[4]); 
$dt[4]=str_replace('.gif" alt="">','',$dt[4]); 
$dt[4]=str_replace (" 
","\r\n",$dt[4]); 
$dt[4]=str_replace ("<br />","\r\n",$dt[4]); 
$dt[10]=ereg_replace("\r\n","",$dt[10]); 
echo '<hr><form action="forum.php?event=addanswer&r='.$r.'&fid='.$fid.'&topicrd='.$topicrd.'&page='.$page.'&redq=yes&'.SID.'" method="post">'; 
echo 'Редактирование сообщения 
'; 
echo ' 
<b>Сообщение:</b> 
'; 
echo '<textarea name="msg" cols="25" rows="3">'.$dt[4].'</textarea>'; 
echo '<input type="hidden" name="name" value="'.$dt[0].'" />'; 
echo '<input type="hidden" name="id" value="'.$dt[7].'" />'; 
echo '<input type="hidden" name="zag" value="'.$dt[3].'" />'; 
echo '<input type="hidden" name="userfile1" value="'.$dt[12].'" />'; 
echo '<input type="hidden" name="ext1" value="'.$dt[13].'" />'; 
echo '<input type="hidden" name="fdate" value="'.$dt[5].'" />'; 
echo '<input type="hidden" name="ftime" value="'.$dt[6].'" />'; 
echo '<input type="hidden" name="fnomer" value="'.$topicrd.'" />'; 
echo '<input type="hidden" name="timetk" value="'.$dt[9].'" />'; 
echo '<input type="hidden" name="locked" value="'.$dt[10].'" />'; 
echo '<input type="hidden" name="page" value="'.$page.'" /> 

'; 
echo '<input type="hidden" name="redq" value="yes" />'; 
echo '<input type="submit" value="Изменить" /></form>'; 



} else  { 

$dt[10]=ereg_replace("\r\n","",$dt[10]); 
echo '<hr><b>Сообщение:</b> 
'; 
echo '<form action="forum.php?event=addanswer&r='.$r.'&fid='.$fid.'&'.SID.'" method="post">'; 
echo '<input type="hidden" name="id" value="'.$dt[7].'" />'; 
echo '<input type="hidden" name="page" value="'.$page.'" />'; 
echo '<input type="hidden" name="zag" value="'.$dt[3].'" />'; 
echo '<input type="hidden" name="locked" value="'.$dt[10].'" />'; 
echo '<input type="hidden" name="name" value="'.$log.'" />'; 
echo '<input type="hidden" name="r" value="'.$r.'" />'; 
echo '<textarea name="msg" cols="25" rows="3"></textarea> 

'; 
echo '<input type="submit" value="Отправить" /></form>'; 
} 

}}}} 
echo' 

<img src="../images/img/edit.gif" alt=""> <a href="../forum/index.php?'.SID.'">На форум</a> 
'; 
echo'<img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a> 
'; 
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a> 
'; 

} else {header ("Location: ../index.php?error&".SID);} 
} else {header ("Location: ../index.php?error&".SID);} 

include_once"../themes/$config_themes/foot.php"; 
?>